%define name libhoard
%define version 2.0.2
%define release 2mdk

%define major 0
%define libname libhoard%{major}

Summary:   A fast, scalable, and memory-efficient multithreaded memory allocator
Name:      %{name}
Version:   %{version}
Release:   %{release}
URL:       http://www.hoard.org
Source:    %{name}-%{version}.tar.bz2
License: GPL
Group:     System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
The Hoard memory allocator is a fast, scalable, and memory-efficient
memory allocator for shared-memory multiprocessors.

%package -n %{libname}
Summary: Libraries for Hoard development
Group: System/Libraries

%description -n %{libname}
The Hoard memory allocator is a fast, scalable, and memory-efficient
memory allocator for shared-memory multiprocessors.



%package -n %{libname}-devel
Summary:  Files for Hoard development
Group:    Development/C
Requires: %{libname} = %{version}
Provides: libhoard-devel


%description -n %{libname}-devel
This package includes the header files and libraries needed for
developing programs using the Hoard library.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
./configure --prefix=%{_prefix}

%make

%install
make prefix=$RPM_BUILD_ROOT%{_prefix} install

%post -n %{libname} 
/sbin/ldconfig

%postun -n %{libname} 
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-,root,root)
%doc benchmarks docs AUTHORS ChangeLog NEWS README
%{_libdir}/lib*.so.*.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/lib*.a
%{_libdir}/lib*.so

%changelog
* Thu Jan 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2-2mdk
- policy compliant

* Fri Aug 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2-1mdk
- new in contribs
- updated to 2.0.2

* Sat Mar 25 2000 Arne Coucheron <arneco@online.no>
  [2.0-1]
- changed URL

* Sun Jan 30 2000 Arne Coucheron <arneco@online.no>
  [1.4.2-1]

* Thu Jan 13 2000 Arne Coucheron <arneco@online.no>
  [1.4.1-1]

* Sat Dec 04 1999 Arne Coucheron <arneco@online.no>
  [1.1.3-1]
- first try at rpm package
